import { ComponentProps } from "react"

type Props = ComponentProps<"svg">

const StatusIcon = ({ ...props }: Props) => {
    return (
        <svg width="16" height="17" viewBox="0 0 16 17" fill="none" xmlns="http://www.w3.org/2000/svg" {...props}>
            <path d="M3.85742 14.8561H12.1357C13.6123 14.8561 14.3779 14.0904 14.3779 12.6344V4.31503C14.3779 2.85214 13.6123 2.09335 12.1357 2.09335H3.85742C2.38086 2.09335 1.61523 2.85214 1.61523 4.31503V12.6344C1.61523 14.0973 2.38086 14.8561 3.85742 14.8561ZM3.93945 13.5162C3.30371 13.5162 2.95508 13.1812 2.95508 12.5182V4.4244C2.95508 3.76132 3.30371 3.43319 3.93945 3.43319H12.0537C12.6826 3.43319 13.0381 3.76132 13.0381 4.4244V12.5182C13.0381 13.1812 12.6826 13.5162 12.0537 13.5162H3.93945ZM7.26855 11.7115C7.51465 11.7115 7.72656 11.5885 7.87012 11.3697L10.9258 6.5914C11.0146 6.44784 11.0967 6.28378 11.0967 6.12655C11.0967 5.79159 10.7959 5.56601 10.4746 5.56601C10.2695 5.56601 10.085 5.67538 9.94141 5.9078L7.24121 10.2418L5.96973 8.62167C5.80566 8.40976 5.6416 8.33456 5.43652 8.33456C5.10156 8.33456 4.8418 8.60116 4.8418 8.94296C4.8418 9.10702 4.90332 9.25741 5.01953 9.40097L6.63281 11.3697C6.81738 11.609 7.01562 11.7115 7.26855 11.7115Z" fill="#37352F" fillOpacity="0.45" />
        </svg>

    )
}

export default StatusIcon